﻿<style>
    body {
        background-image: @backgroundImage;
        background-color: @backgroundColor;
        background-size: cover;
        overflow: hidden;
        cursor: none;
    }
</style>
<img style=@cssStyle src=@ImageFile />
@code {

    [Parameter] public string ImageFile { get; set; }
    [Parameter] public bool? FullScreen { get; set; }
    [Parameter] public string Width { get; set; }
    [Parameter] public string Height { get; set; }
    [Parameter] public string OffsetX { get; set; }
    [Parameter] public string OffsetY { get; set; }
    [Parameter] public string BackgroundImage { get; set; }
    [Parameter] public string BackgroundPaint { get; set; }

    private string backgroundImage = "(none)";
    private string backgroundColor = "#000000";
    private string cssStyle = "";

    protected override void OnParametersSet()
    {
        if (FullScreen ?? true || String.IsNullOrEmpty(Width) || String.IsNullOrEmpty(Height))
        {
            cssStyle = RenderHelper.CreateStyleString("100vw", "100vh", "", "");
        }
        else
        {
            backgroundImage = String.IsNullOrEmpty(BackgroundImage) ? "(none)" : $"url('{BackgroundImage}')";
            backgroundColor = String.IsNullOrEmpty(BackgroundPaint) ? "#cccccc" : RenderHelper.ParseBackgroundPaint(BackgroundPaint, !String.IsNullOrEmpty(BackgroundImage));

            cssStyle = RenderHelper.CreateStyleString(Width, Height, OffsetX, OffsetY);
        }
    }
}
